<?php
declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Model\Data;

use WriteTextAI\WriteTextAI\Api\Data\StoresLanguagesResultInterface;
use Magento\Framework\DataObject;

/**
 * Class StoresLanguagesResult
 * Stores and languages response data model
 */
class StoresLanguagesResult extends DataObject implements StoresLanguagesResultInterface
{
    public const STORE_IDS = 'storeIds';
    public const LANGUAGES = 'languages';

    /**
     * @inheritdoc
     */
    public function getStoreIds()
    {
        return $this->getData(self::STORE_IDS);
    }

    /**
     * @inheritdoc
     */
    public function setStoreIds(array $storeIds)
    {
        return $this->setData(self::STORE_IDS, $storeIds);
    }

    /**
     * @inheritdoc
     */
    public function getLanguages()
    {
        return $this->getData(self::LANGUAGES);
    }

    /**
     * @inheritdoc
     */
    public function setLanguages(array $languages)
    {
        return $this->setData(self::LANGUAGES, $languages);
    }
}
